这个库是python内置库的一个扩展库.把python的datetime,string,list,dist等数据结构重新进行了封装，扩展了部分功能．

- 适用对象：python工程师
- 作者：熊利宏
- 邮箱：xionglihong@163.com
有任何意见欢迎发送邮件，我们一起打造一个好用的python内置库的扩展库

##### 什么是xToolkit库？
库xToolkit的中文名字叫Ｘ工具集．是python内置库的一个扩展库.把python的datetime,string,list,dist等数据结构重新进行了封装，扩展了部分功能．

##### 操作文档
操作文档还在编辑中，请等待

##### 实例：
##### 导入xToolkit库
```python
from xToolkit import xdatetime as xdt
```
##### 判断时间格式时分正确

```
#判断时间格式"1988-07-20"是否合规
xdt.shape("1988-07-20")
>>True
```
```
#判断时间格式"1988-07-88"是否合规
xdt.shape("1988-07-88")
>>False
```
```
#判断时间格式"98787987"是否合规
xdt.shape("98787987")
>>False
```

##### 获取时间起止
```
#获取当月第一天和最后一天
xdt.start_and_end()
>>['2019-05-01', '2019-05-31']
```
```
#获取下个月第一天和最后一天
xdt.start_and_end(space=1)
>>['2019-06-01', '2019-06-30']
```
```
#获取上个月月第一天和最后一天
xdt.start_and_end(space=-1)
>>['2019-04-01', '2019-04-30']
```
```
#获取今年第一天和最后一天
xdt.start_and_end(genre="Y"))
>>['2019-01-01', '2019-12-31']
```
```
#获取明年第一天和最后一天
xdt.start_and_end(genre="Y", space=1)
>>['2020-01-01', '2020-12-31']
```
```
#获取去年第一天和最后一天
xdt.start_and_end(genre="Y", space=-1)
>>['2018-01-01', '2018-12-31']
```
##### 获取日期星期列表字典
```
＃获取"2019-05-01"到"2019-05-08"的星期列表字典
xdt.get_week_dict(start="2019-05-01", end="2019-05-08")
>>{'1': ['2019-05-06'], '2': ['2019-05-07'], '3': ['2019-05-01', '2019-05-08'], '4': ['2019-05-02'], '5': ['2019-05-03'], '6': ['2019-05-04'], '7': ['2019-05-05']}
```
##### 获取当前时间
```
#输出现在时间
"{}".format(xdt.now())
>>2019-05-21T21:48:25.873016+08:00
```
##### 格式化当前时间
```
#输出年月日时分秒格式时间
xdt.now().format("YYYY-MM-DD　HH:mm:ss")
>>2019-05-21 21:48:25
```
```
#输出年月格式日期时间
xdt.now().format("YYYY-MM-DD")
>>2019-05-21
```

_更多实例请参照参考文档_